Get all negotiation calendar events
get
/fscmRestApi/resources/11.13.18.05/supplierNegotiationCalendarEvents
Request
Query Parameters
-
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Value that uniquely identifies the negotiation calendar activity.
Finder Variables- ActivityId; string; Value that uniquely identifies the negotiation calendar activity.
- findEventsForCalendar Finds the unique row for negotiation events.
Finder Variables- EndDate; string;
- StartDate; string;
- PrimaryKey Value that uniquely identifies the negotiation calendar activity.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- ActivityEndDate; string; Date on which the negotiation calendar is planned to end.
- ActivityId; string; Value that uniquely identifies the negotiation calendar activity.
- ActivityStartDate; string; Date on which the negotiation calendar is planned to begin.
- ActivityStatus; string; Status of a negotiation displayed to the user.
- ActivityTitle; string; Value that uniquely identifies the negotiation calendar activity.
- AssignedTo; string; Name of the collaboration team member to whom the task is assigned.
- AuctionHeaderId; integer; Auction Header ID
- AuctionStatus; string; Status of a negotiation displayed to the user.
- AuctionTitle; string; Indicates the auction title.
- AwardByDate; string; Date when the application awards the negotiation.
- BUName; string; Name of the procurement business unit under which the negotiation was created.
- CloseBiddingDate; string; Date and time when the auction was set to close for bidding.
- DocumentNumber; string; Negotiation number of the negotiation.
- DocumentTypeCode; string; Code for the type of document. Value can be STANDARD or BLANKET, corresponding to a standard purchase order or blanket purchase agreement, respectively.
- DocumentTypeDisplayName; string; Value that uniquely identifies the document type. Possible values: RFQ, RFI, Auction.
- DraftLocked; string; Unique identifier for the user who locked the draft negotiation.
- EventType; string; Indicates the different event types displayed in the negotiation calendar. My Events indicates the events where the user is the owner or a member of the collaboration team. Other Events indicates the events where the user is the Procurement Agent for the Business Unit, excluding My Events. Collaboration Tasks indicates the tasks where the user is part of the collaboration team or is the owner. Project Tasks displays all project-related tasks.
- LastPausedDate; string; Date when the negotiation was paused.
- NegApprovalStatus; string; Approval status of a negotiation.
- OpenBiddingDate; string; Date and time when the auction is available for bidding.
- Outcome; string; Display name of the purchasing document that the application creates at the end of the negotiation process. Use page Manage Document Styles in the Setup and Maintenance work area to examine and update the values that you can use for this attribute.
- PrimaryResourceName; string; Name of the resource leading the task.
- ProcurementBUId; integer; Value that finds the supplier sites using Procurement Business Unit Id as the primary key.
- ProjectName; string; Name of the project associated with the negotiation.
- StaggeredClosingFlag; boolean; Contains one of the following values: true or false. If true, then allow lines to use staggered close dates in the negotiation. If false, then don't allow. The default value is false.
- TargetDate; string; Date when the application expects the collaboration team member to finishes the assigned task.
- TaskComplete; number; Task completion percentage, indicating progress toward completion.
- TaskName; string; Name of the task that the application assigned to the collaboration team member.
- TaskStatus; string; Indicates the status of the assigned task (e.g., Not Started, Completed).
- TechnicalEvaluationStatus; string; Indicates the technical evaluation stage completion status.
- TechnicalLockStatus; string; Used to store the technical part's lock status for a two part RFQ.
- TimeRemaining; string; Number of lines in the negotiation, without any response from the suppliers.
- ViewByDate; string; Date and time when the seller negotiation becomes available for bidder preview.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : supplierNegotiationCalendarEvents
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : supplierNegotiationCalendarEvents-item-response
Type:
Show Source
object-
ActivityEndDate: string
(date-time)
Read Only:
trueDate on which the negotiation calendar is planned to end. -
ActivityId: string
Read Only:
trueMaximum Length:92Value that uniquely identifies the negotiation calendar activity. -
ActivityStartDate: string
(date-time)
Read Only:
trueDate on which the negotiation calendar is planned to begin. -
ActivityStatus: string
Read Only:
trueStatus of a negotiation displayed to the user. -
ActivityTitle: string
Read Only:
trueMaximum Length:402Value that uniquely identifies the negotiation calendar activity. -
AssignedTo: string
Read Only:
trueMaximum Length:240Name of the collaboration team member to whom the task is assigned. -
AuctionHeaderId: integer
(int64)
Read Only:
trueAuction Header ID -
AuctionStatus: string
Read Only:
trueMaximum Length:25Status of a negotiation displayed to the user. -
AuctionTitle: string
Read Only:
trueMaximum Length:80Indicates the auction title. -
AwardByDate: string
(date-time)
Read Only:
trueDate when the application awards the negotiation. -
BUName: string
Read Only:
trueMaximum Length:240Name of the procurement business unit under which the negotiation was created. -
CloseBiddingDate: string
(date-time)
Read Only:
trueDate and time when the auction was set to close for bidding. -
DocumentNumber: string
Read Only:
trueMaximum Length:240Negotiation number of the negotiation. -
DocumentTypeCode: string
Read Only:
trueMaximum Length:30Code for the type of document. Value can be STANDARD or BLANKET, corresponding to a standard purchase order or blanket purchase agreement, respectively. -
DocumentTypeDisplayName: string
Read Only:
trueMaximum Length:80Value that uniquely identifies the document type. Possible values: RFQ, RFI, Auction. -
DraftLocked: string
Read Only:
trueMaximum Length:1Unique identifier for the user who locked the draft negotiation. -
EventType: string
Read Only:
trueMaximum Length:18Indicates the different event types displayed in the negotiation calendar. My Events indicates the events where the user is the owner or a member of the collaboration team. Other Events indicates the events where the user is the Procurement Agent for the Business Unit, excluding My Events. Collaboration Tasks indicates the tasks where the user is part of the collaboration team or is the owner. Project Tasks displays all project-related tasks. -
LastPausedDate: string
(date-time)
Read Only:
trueDate when the negotiation was paused. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
NegApprovalStatus: string
Read Only:
trueMaximum Length:30Approval status of a negotiation. -
NegotiationStatusCode: string
Read Only:
trueMaximum Length:255Status code that's stored internally for a negotiation. -
NegotiationStatusDisplay: string
Read Only:
trueMaximum Length:255Status of a negotiation displayed to the user. -
OpenBiddingDate: string
(date-time)
Read Only:
trueDate and time when the auction is available for bidding. -
Outcome: string
Read Only:
trueMaximum Length:240Display name of the purchasing document that the application creates at the end of the negotiation process. Use page Manage Document Styles in the Setup and Maintenance work area to examine and update the values that you can use for this attribute. -
PrimaryResourceName: string
Read Only:
trueMaximum Length:240Name of the resource leading the task. -
ProcurementBUId: integer
(int64)
Read Only:
trueValue that finds the supplier sites using Procurement Business Unit Id as the primary key. -
ProjectName: string
Read Only:
trueMaximum Length:240Name of the project associated with the negotiation. -
StaggeredClosingFlag: boolean
Read Only:
trueMaximum Length:1Contains one of the following values: true or false. If true, then allow lines to use staggered close dates in the negotiation. If false, then don't allow. The default value is false. -
TargetDate: string
(date-time)
Read Only:
trueDate when the application expects the collaboration team member to finishes the assigned task. -
TaskComplete: number
Read Only:
trueTask completion percentage, indicating progress toward completion. -
TaskName: string
Read Only:
trueMaximum Length:4000Name of the task that the application assigned to the collaboration team member. -
TaskStatus: string
Read Only:
trueMaximum Length:9Indicates the status of the assigned task (e.g., Not Started, Completed). -
TaskType: string
Read Only:
trueMaximum Length:12Indicates the type of calendar event, specifying whether it represents a negotiation, task, or project event. -
TechnicalEvaluationStatus: string
Read Only:
trueMaximum Length:30Indicates the technical evaluation stage completion status. -
TechnicalLockStatus: string
Read Only:
trueMaximum Length:30Used to store the technical part's lock status for a two part RFQ. -
TimeRemaining: string
Read Only:
trueMaximum Length:255Number of lines in the negotiation, without any response from the suppliers. -
ViewByDate: string
(date-time)
Read Only:
trueDate and time when the seller negotiation becomes available for bidder preview.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.